Download it now!
Bug 62693 - EDITING: Crash with segfault in libeditenglo.so[Summary in comment #30]
Summary: EDITING: Crash with segfault in libeditenglo.so[Summary in comment #30]
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: BSA summaryUpdate
Keywords:
: 68499 83327 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-03-24 13:24 UTC by Rpnpif
Modified: 2015-10-18 14:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Doc1 (23.98 KB, image/png)
2013-09-09 08:11 UTC, Rpnpif
Details
gdbtrace 1 (26.17 KB, text/x-log)
2013-09-15 13:44 UTC, Rpnpif
Details
Trace with draw (12.04 KB, text/x-log)
2013-09-24 15:50 UTC, Rpnpif
Details
Crash 3 and second with draw (12.03 KB, text/x-log)
2013-09-24 16:03 UTC, Rpnpif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2013-03-24 13:24:21 UTC
Problem description: 
Editing a simple writer document, LO crashed with segfault

Logs :
soffice.bin[6374]: segfault at 50509 ip aeb781da sp bfc61dd8 error 4 in libeditenglo.so[ae9dc000+1fe000]

Operating System: Debian
Version: 4.0.1.2 release
Comment 1 Jean-Baptiste Faure 2013-03-24 17:15:23 UTC
I do not reproduce with the generic Linux x86 version. Do you use the generic Linux version or the build provided by your distribution ?
Is your debian a x86 or a x86-64 one ?

Best regards. JBF
Comment 2 Rpnpif 2013-03-24 17:58:51 UTC
(In reply to comment #1)
Jean-Baptiste,

I am sorry for my too short report.

As describe in the report, I am using a x86 (32) Debian.
It is an updated Squeeze (6) with last official backports packages.

$ uname -a
Linux xxxxx.xxx 3.2.0-0.bpo.4-rt-686-pae #1 SMP PREEMPT RT Debian 3.2.39-2~bpo60+1 i686 GNU/Linux

Note that I used a RT kernel.

But this bug is not reproducible for me because I do not know the action that make LO crashed.

Oh ! I am seeing on this moment that I have two libeditenglo.so on my system :
$ locate libeditenglo.so
/opt/libreoffice4.0/program/libeditenglo.so
/usr/lib/libreoffice/program/libeditenglo.so

The second must be from 3.5.4 from backports of Debian.
Is LO4 could used this instead of the LO4 library and crashed by this cause ?

Regards.
Comment 3 Jean-Baptiste Faure 2013-03-24 18:18:59 UTC
(In reply to comment #2)
[...]
> Oh ! I am seeing on this moment that I have two libeditenglo.so on my system
> :
> $ locate libeditenglo.so
> /opt/libreoffice4.0/program/libeditenglo.so
> /usr/lib/libreoffice/program/libeditenglo.so
> 
> The second must be from 3.5.4 from backports of Debian.
> Is LO4 could used this instead of the LO4 library and crashed by this cause ?

I am not sure because I do not use distro versions of LibreOffice on my Ubuntu. In the old time of OpenOffice.org I was never been able to make both distro version and generic linux version working in parallel. But with several generic Linux parallel versions, I never had problem.
To be sure, I suggest you to remove completely the version of LibreOffice you do not use, and try again. 

Best regards. JBF
Comment 4 Rpnpif 2013-03-24 18:38:39 UTC
(In reply to comment #3)
> To be sure, I suggest you to remove completely the version of LibreOffice
> you do not use, and try again. 

I agree so it is done. I will see if a new crash occurs.
Thanks.
Comment 5 Rpnpif 2013-03-25 09:17:45 UTC
Aïe ! A new crash occurs now. I can confirm this bug.

I had removed LO 3.5 that I had got from Debian repository. So the cause of this crash is not a mix of library.

New logs :
soffice.bin[5287]: segfault at 6d756373 ip ae09f1da sp bfb57878 error 4 in libeditenglo.so[adf03000+1fe000]

To reproduce not easily : After several minutes of work on a simple writer document with some title paragraphs and text without specials formatting but some tags ("puces" in French language), LO crashed. Only insertion or deletion of text are used.
Comment 6 Julien Nabet 2013-03-28 20:40:25 UTC
Rpnpif: could you try to retrieve a backtrace? (see https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_on_Linux)
Comment 7 Rpnpif 2013-03-30 18:40:58 UTC
(In reply to comment #6)
> Rpnpif: could you try to retrieve a backtrace?

Julien: I am working on some tests. As I have also a crash with another software (claws-mail) but before I have never crash with this, I decided to change my Linux kernel.

These crashes occurred with Debian linux-image-3.2.0-0.bpo.4-rt-686-pae package.
During one week, I am testing LibreOffice 4 and Claws-mail with the legagy kernel of Debian Squeeze (2.6.32-5-686). And then no crashes during this first part of week.

If no crash will appear until next Thursday, I'll retest with the Debian 3.2 kernel and the LO debug package.

I'll make to know you the results.

Regards.
Comment 8 galym 2013-06-23 03:55:29 UTC
Hi, i have similar crashing with LO 4.0.3.3  for wheezy-backports on amd64 Debian.

traps: soffice.bin[30674] general protection ip:7f6d4c32862d sp:7fffc5240150 error:0 in libeditenglo.so[7f6d4c161000+21f000]

Kernel is 3.9.6 custom vanilla.
Comment 9 galym 2013-06-23 03:58:00 UTC
Some crashed hapened  also with LO from official website (deb packages)
Comment 10 Julien Nabet 2013-06-26 18:31:18 UTC
galym: could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile) and give it a new try?

If you still reproduce this, could you try to retrieve a backtrace? (see https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_on_Linux)

BTW, last LO version is now 4.0.4
Comment 11 galym 2013-06-26 22:27:54 UTC
It is reproduced with clean LO's user profile randomly when I writing text. Here also odd things with fonts


http://i.imgur.com/eTeIW4s.png

I'm using infinality.

I've try to get backtrace. Thanks.
Comment 12 galym 2013-06-29 16:34:00 UTC
Here no any issue for i386 system, kde too, netbook
Comment 13 Julien Nabet 2013-06-29 16:39:26 UTC
galym: what do you mean "here"? Do you have several pcs? If yes, could you bring some details about these?
Comment 14 Rpnpif 2013-08-24 10:27:00 UTC
Perhaps, this bug may be linked with the #68499 that is of the same family of symptom but not with the same library.
Comment 15 Julien Nabet 2013-08-24 11:39:13 UTC
Rpnpif/galym: did you succeed in retrieving some backtraces?
Comment 16 Rpnpif 2013-09-09 08:11:41 UTC
Created attachment 85485 [details]
Doc1
Comment 17 Rpnpif 2013-09-09 08:20:53 UTC
New crash.
LO writer 4.0.5 being opened on a text document, I browsed the appearance theme of Gnome (Debian Squeeze, with squeeze-backports).

After a while, LO crashed :
soffice.bin[4866]: segfault at 12f ip b65c74cb sp bfc230a0 error 4 in libutllo.so[b653b000+e6000]

I reopened LO with the same document. I repeat the browsing of the theme. Now LO freezes a while then the text was very bad (see attachment). After freezing the text changes dynamically when I put the cursor in but I do not modify it.

Indeed, the file on the disk is not modified.
Comment 18 Rpnpif 2013-09-10 17:20:17 UTC
Same crash of LO when I am playing with font rendering in System, Preferences, Appearance menu (Gnome 2.30.2). Changing alternatively this settings crashes LO but without log messages at this time.
Comment 19 Julien Nabet 2013-09-11 20:14:45 UTC
Rpnpif: could you apply the advice given here?
https://bugs.freedesktop.org/show_bug.cgi?id=62693#c10
Comment 20 Rpnpif 2013-09-15 11:44:12 UTC
(In reply to comment #19)
> Rpnpif: could you apply the advice given here?
> https://bugs.freedesktop.org/show_bug.cgi?id=62693#c10

A new profile does not fixed the issue.

I does not find the libreoffice-dbg 4.0.5 package for Debian Squeeze. Have you an URL for me ?
Comment 21 Julien Nabet 2013-09-15 12:01:09 UTC
(In reply to comment #20)
> I does not find the libreoffice-dbg 4.0.5 package for Debian Squeeze. Have
> you an URL for me ?
Do you mean "apt-get install libreoffice-dbg" doesn't work?

If it doesn't, you can also retrieve a backtrace, the only disadvantage is there'll be less informative. However, it's still better than nothing! :-)
Comment 22 Rpnpif 2013-09-15 13:10:20 UTC
(In reply to comment #21)
> Do you mean "apt-get install libreoffice-dbg" doesn't work?

Yes because LO packages of Debian SID or experimental repositories  have dependences that I do want upgrade. Until now, I prefer keep upstream releases.
 
> If it doesn't, you can also retrieve a backtrace, the only disadvantage is
> there'll be less informative. However, it's still better than nothing! :-)

OK, I'll try.
Comment 23 Rpnpif 2013-09-15 13:12:10 UTC
(In reply to comment #22)
> Yes because LO packages of Debian SID or experimental repositories  have
> dependences that I do want upgrade.

I mean I do *not* want upgrade other packages than LO. Sorry.
Comment 24 Rpnpif 2013-09-15 13:44:33 UTC
Created attachment 85859 [details]
gdbtrace 1

Yeah ! A crashed session with backtrace in attachment.
Comment 25 Julien Nabet 2013-09-16 20:15:34 UTC
Thank you Rpnpif for your feedback.

Caolán: One for you?
I noticed "PopupMenu::~PopupMenu()" is called twice. Here's the code:
   3473 PopupMenu::~PopupMenu()
   3474 {
   3475     if( pRefAutoSubMenu && *pRefAutoSubMenu == this )
   3476         *pRefAutoSubMenu = NULL;    // #111060# avoid second delete in ~MenuItemData
   3477 }
(see http://opengrok.libreoffice.org/xref/core/vcl/source/window/menu.cxx#3473)
Comment 26 Rpnpif 2013-09-24 15:50:20 UTC
Created attachment 86458 [details]
Trace with draw

Another crash occurs some seconds after opening drawing screen.
I wanted to open the Page pane of draw which was closed previously. At this moment, LO crashed.
Comment 27 Rpnpif 2013-09-24 16:03:29 UTC
Created attachment 86460 [details]
Crash 3 and second with draw

Another crash in less of 10 minutes and in the first run after the previous crash.
The same opening of page pane in draw got the same crash.

But a last try does not crashed LO... So crashes are randomly.

I must say that this last crash occurs with blank document.
Comment 28 Rpnpif 2013-09-24 16:05:29 UTC
*** Bug 68499 has been marked as a duplicate of this bug. ***
Comment 29 Rpnpif 2013-09-29 13:43:26 UTC
Hi,

I can now reproduce always crashes with segfault with, in log, references to libc-2.11.3 or libvcllo, sometimes with "error 4".

Reproduce with this :

1. Run LO 4.0.5 with or without a writer document.
2. Run gnome-appearance-properties.
3. In the Fonts tags, choose a rendering (Monochrome) and after some seconds, another, looping in the 4 rendering methods (Best shapes, Best contrast, Subpixel smoothing).
4. Often, the LO display of text becomes wrong (Liberation Sans font for example) with all lines are narrowed on the left of the pages in ten or twelve millimetres wide instead of 100 or 150 with the letters be stacked.
5. After a short time, LO crashes. Rarely, it freezes with a great activity of the CPU and unfreezes if I change of console (Alt-F12) and return (Alt-F7).

Firefox 17 and other applications which are opened at the same time, worked fine.

OS: Debian Squeeze (6.0.7) with squeeze-backports packets.
Comment 30 jrbrucecofc 2014-02-25 14:07:54 UTC
Summary

Comment 5: Crash occurs after inserting and deleting title paragraphs and simple text along with 'puces'(bullet points in french I think).

Comment 11, Comment 16, and Comment 17: Attachments show LO seems to be shifting text position in files that have this crash. File remains unchanged though.

Comment 20: Renaming the LO directory profile does not help.

Comment 24, Comment 26, and Comment 27: Attachments contain backtraces of crash.

Comment 25: PopupMenu::~PopupMenu() is called twice in Comment 24 backtrace.

Comment 29: Instructions for reproducing a segfault crash.
Comment 31 Rpnpif 2014-09-02 08:08:29 UTC
*** Bug 83327 has been marked as a duplicate of this bug. ***
Comment 32 Rpnpif 2014-09-02 08:11:06 UTC
New crash now with another library.
[ 3515.844834] soffice.bin[5181]: segfault at 10 ip
 00007ff07242f264 sp 00007fff45634f80 error 4 in libsclo.so[7ff072110000+c76000]

I'll put libreoffice under gdb survey.
Comment 33 Rpnpif 2014-09-02 08:11:44 UTC
(In reply to comment #32)
> New crash now with another library.
> [ 3515.844834] soffice.bin[5181]: segfault at 10 ip
>  00007ff07242f264 sp 00007fff45634f80 error 4 in
> libsclo.so[7ff072110000+c76000]
> 
> I'll put libreoffice under gdb survey.

4.3.1.2 release.
Comment 34 Julien Nabet 2015-10-18 10:46:17 UTC
Any update with recent LO version? Indeed 4.3 branch is EOL and 4.4 is soon EOL.
5.0.2 is the last stable one.
To be sure to have a clean install, remove any previous LO version + remove (or rename) your LO directory profile.
Comment 35 Rpnpif 2015-10-18 13:08:01 UTC
Comment on attachment 85485 [details]
Doc1

This attachment seems to be out of topic.
Comment 36 Rpnpif 2015-10-18 13:12:03 UTC
Comment on attachment 85485 [details]
Doc1

i am sorry. I made an error.
Comment 37 Rpnpif 2015-10-18 13:35:04 UTC
This issue is not reproducible for me with mate-appearance-properties instead of gnome-appearance-properties. LO is 5.0.2.2.

No crashes now.

Thanks.
Comment 38 Julien Nabet 2015-10-18 14:03:18 UTC
Thank you for your feedback, so let's put this one as WFM.